Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.squawk.util
Class ByteArrayInputStreamWithSetBytes

    java.lang.Object
      java.io.InputStream
          java.io.ByteArrayInputStream
              com.sun.squawk.util.ByteArrayInputStreamWithSetBytes

    public class ByteArrayInputStreamWithSetBytes

extends ByteArrayInputStream

An extention of `ByteArrayInputStream` that allows the byte array buffer to be modified, using the `setBytes(byte[], int, int)` method.

See Also:
  `ByteArrayInputStream`

Field Summary
`protected int` | `offset`

Fields inherited from class java.io.ByteArrayInputStream
`buf, count, mark, pos`

Constructor Summary
`ByteArrayInputStreamWithSetBytes(byte[] bytes)`
`ByteArrayInputStreamWithSetBytes(byte[] bytes, int offset, int length)`

Method Summary
`int` | `getPos()`
`void` | `setBytes(byte[] bytes, int offset, int length)`

Methods inherited from class java.io.ByteArrayInputStream
`available, close, mark, markSupported, read, read, reset, skip`

Methods inherited from class java.io.InputStream
`read`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### offset

    protected int offset

Constructor Detail

### ByteArrayInputStreamWithSetBytes

    public ByteArrayInputStreamWithSetBytes(byte[] bytes)

### ByteArrayInputStreamWithSetBytes

    public ByteArrayInputStreamWithSetBytes(byte[] bytes,
                                            int offset,
                                            int length)

Method Detail

### getPos

    public int getPos()

### setBytes

    public void setBytes(byte[] bytes,
                         int offset,
                         int length)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"